> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/theme...

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/theme...
```

where `...` represents either nothing or any one of the following paths (appended to the URL [above](/CS1.2/api/access-service-theme.md#access-service-theme-url-structure)):

* `/adminEmail`
* `/adminHelpUrl`
* `/androidAuthenticatorUrl`
* `/applicationName`
* `/companyName`
* `/copyright`
* `/iphoneAuthenticatorUrl`
* `/legalUrl`
* `/orgAdminHelpUrl`
* `/orgRemovalActionDays`
* `/privacyUrl`
* `/supportLink`
* `/versionUrl`
* `/webappHelpUrl`
* `/windowsAuthenticatorUrl`

## Supported methods and overview&#x20;

* `GET` - retrieves the current values for each (or all) theme-related SafeShare Administration properties, many of which can be [overridden through Organisation Administration](/CS1.2/api/access-service-api-v1-organisations-orggroupid.md).

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves the current values for all theme-related SafeShare Administration properties (i.e. when nothing is appended to the URL [above](/CS1.2/api/access-service-theme.md#access-service-theme-url-structure)). Many of these properties can be [overridden through Organisation Administration](/CS1.2/api/access-service-api-v1-organisations-orggroupid.md).

Each of the following paths (which can be appended to the URL above) relates to an individual property (accessible through the [System Details](/CS1.2/admin-platform/configuring-platform-administration-properties.md#system-details-properties) section of the [Configuration](/CS1.2/admin-platform/configuring-platform-administration-properties.md) page of SafeShare Administration), such that making a `GET` request on that URL/path combination retrieves the value for that property only:

| Appended URL path | System Details property | Can be modified through this API endpoint |
| - | - | - |
| /adminEmail | Admin Email | [\<access-service>/api/v1/config/theme/adminEmail](/CS1.2/api/access-service-api-v1-config-theme-adminemail.md) |
| /adminHelpUrl | SafeShare Administration Help URL | [\<access-service>/api/v1/config/theme/adminHelpUrl](/CS1.2/api/access-service-api-v1-config-theme-adminhelpurl.md) |
| /androidAuthenticatorUrl | Android Phone Authenticator URL | [\<access-service>/api/v1/config/theme/androidAuthenticatorUrl](/CS1.2/api/access-service-api-v1-config-theme-androidauthenticatorurl.md) |
| /applicationName | Application Name | [\<access-service>/api/v1/config/theme/applicationName](/CS1.2/api/access-service-api-v1-config-theme-applicationname.md) |
| /companyName | Company Name | [\<access-service>/api/v1/config/theme/companyName](/CS1.2/api/access-service-api-v1-config-theme-companyname.md) |
| /copyright | Email Notification Copyright Notice | [\<access-service>/api/v1/config/theme/copyright](/CS1.2/api/access-service-api-v1-config-theme-copyright.md) |
| /iphoneAuthenticatorUrl | iPhone Authenticator URL | [\<access-service>/api/v1/config/theme/iphoneAuthenticatorUrl](/CS1.2/api/access-service-api-v1-config-theme-iphoneauthenticatorurl.md) |
| /legalUrl | Legal URL | [\<access-service>/api/v1/config/theme/legalUrl](/CS1.2/api/access-service-api-v1-config-theme-legalurl.md) |
| /orgAdminHelpUrl | Organisation Administration Help URL | [\<access-service>/api/v1/config/theme/orgAdminHelpUrl](/CS1.2/api/access-service-api-v1-config-theme-orgadminhelpurl.md) |
| /orgRemovalActionDays | Days to action organisation removal | [\<access-service>/api/v1/config/theme/orgRemovalActionDays](/CS1.2/api/access-service-api-v1-config-theme-orgremovalactiondays.md) |
| /privacyUrl | The URL of the privacy statement | [\<access-service>/api/v1/config/theme/privacyUrl](/CS1.2/api/access-service-api-v1-config-theme-privacyurl.md) |
| /supportLink | Support URL | [\<access-service>/api/v1/config/theme/supportLink](/CS1.2/api/access-service-api-v1-config-theme-supportlink.md) |
| /versionUrl | Version URL | [\<access-service>/api/v1/config/theme/versionUrl](/CS1.2/api/access-service-api-v1-config-theme-versionurl.md) |
| /webappHelpUrl | Web Application Help URL | [\<access-service>/api/v1/config/theme/webappHelpUrl](/CS1.2/api/access-service-api-v1-config-theme-webapphelpurl.md) |
| /windowsAuthenticatorUrl | Windows Phone Authenticator URL | [\<access-service>/api/v1/config/theme/windowsAuthenticatorUrl](/CS1.2/api/access-service-api-v1-config-theme-windowsauthenticatorurl.md) |

## Supported roles and conditions&#x20;

This request does not require any [authentication or authorization](/CS1.2/api/authentication-and-authorisation.md) through a Cocoon Data user account.

## Required headers&#x20;

No additional headers are required for submission with this request. This request does not require an access (i.e. `Bearer`) token.

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **property\_name** - The name of the property, followed by its value. \

  **Notes:**

  * Most **property\_name**s are similar to (but do not match) the URL path components [above](/CS1.2/api/access-service-theme.md#access-service-theme-detailed-description), which can be appended to this endpoint's URL. These names are hard-coded in the Cocoon Data Platform.
  * When a URL path component is appended to this endpoint's URL, the property name is returned as just **property**.

  **Example (response from a GET request to '\<access-service>/theme'):**

  ```json theme={null}
  {
      "copyright": "YEAR Cocoon Data.",
      "org_removal_days_to_action":"30",
      "authenticator_windows_url": "https://www.windowsphone.com/en-au/store/app/authenticator/021dd79f-0598-e011-986b-78e7d1fa76f8",
      "authenticator_android_url": "https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2",
      "support_link": "https://cocoondata.com/support",
      "org_admin_help_url": "https://docs.cocoondata.com/latest/admin-org/",
      "admin_email": "",
      "admin_help_url": "https://docs.cocoondata.com/latest/admin-platform/",
      "application_name": "SafeShare",
      "legal_url": "https://cocoondata.com/privacy/",
      "company_name": "Cocoon Data",
      "authenticator_iphone_url": "https://itunes.apple.com/au/app/google-authenticator/id388497605?mt=8",
      "privacy_url": "",
      "webapp_help_url": "https://docs.cocoondata.com/latest/user/",
      "version_url": "https://cocoondata.com/support"
  }
  ```

  **Example (response from a GET request to '\<access-service>/theme/companyName'):**

  ```json theme={null}
  {
      "property": "Cocoon Data"
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.